from fastapi import APIRouter, Request
from fastapi.templating import Jinja2Templates
from fastapi.responses import HTMLResponse

router = APIRouter()
templates = Jinja2Templates(directory="app")

@router.get("/", response_class=HTMLResponse)
async def dashboard(request: Request):
    """
    Render the dashboard page
    """
    return templates.TemplateResponse("dashboard/frontend/index.html", {"request": request})
